
Database - Bug #2062

buffer parameter names doubled up, not included in RecordBuffer.openScope() call

02/27/2013 12:01 AM - Eric Faulhaber

Status: Closed Start date: 02/26/2013

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Conversion Support for Server Features   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 02/27/2013 12:07 AM - Eric Faulhaber

- File ecf_upd20130226b.zip added

- Status changed from WIP to Closed

- % Done changed from 0 to 100

The following test:

def temp-table tt field f1 as integer.

define parameter buffer buf for book.

define parameter buffer tt1 for tt.

 

is converted to:

public void execute(final Book.Buf bufbuf, final TempRecord1.Buf tt1tt1)

 

In addition, buf and tt1 are not emitted into a RecordBuffer.openScope() call inside the execute method.

The problem was a BUFFER_SCOPE node was creating a java REFERENCE node for the buffer as a child of the parameter's REFERENCE_DEF,

rather than the RecordBuffer.openScope STATIC_METHOD_CALL.

Fixed in the attached update, which has passed conversion regression testing.  Committed to bzr revision 10217.
#2 - 11/16/2016 10:58 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

ecf_upd20130226b.zip 6.56 KB 02/27/2013 Eric Faulhaber
